source: projects/vine-manual-base/trunk/Makefile.in @ 4189

Revision 4189, 20.6 KB checked in by yasumichi, 13 years ago (diff)

メニューの幅を web と local で変更

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CSSURI = @CSSURI@
110CVSDATA = @CVSDATA@
111CYGPATH_W = @CYGPATH_W@
112DEFS = @DEFS@
113ECHO_C = @ECHO_C@
114ECHO_N = @ECHO_N@
115ECHO_T = @ECHO_T@
116IMAGEDIR = @IMAGEDIR@
117IMAGEURI = @IMAGEURI@
118INDEX = @INDEX@
119INSTALL = @INSTALL@
120INSTALL_DATA = @INSTALL_DATA@
121INSTALL_PROGRAM = @INSTALL_PROGRAM@
122INSTALL_SCRIPT = @INSTALL_SCRIPT@
123INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
124LIBOBJS = @LIBOBJS@
125LIBS = @LIBS@
126LTLIBOBJS = @LTLIBOBJS@
127MAKEINFO = @MAKEINFO@
128MENUWIDTH = @MENUWIDTH@
129MKDIR_P = @MKDIR_P@
130MKTEMP = @MKTEMP@
131MODE = @MODE@
132PACKAGE = @PACKAGE@
133PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
134PACKAGE_NAME = @PACKAGE_NAME@
135PACKAGE_STRING = @PACKAGE_STRING@
136PACKAGE_TARNAME = @PACKAGE_TARNAME@
137PACKAGE_URL = @PACKAGE_URL@
138PACKAGE_VERSION = @PACKAGE_VERSION@
139PATH_SEPARATOR = @PATH_SEPARATOR@
140SET_MAKE = @SET_MAKE@
141SHELL = @SHELL@
142STRIP = @STRIP@
143TEMPLATE = @TEMPLATE@
144VERSION = @VERSION@
145VMDIR = @VMDIR@
146VMURI = @VMURI@
147abs_builddir = @abs_builddir@
148abs_srcdir = @abs_srcdir@
149abs_top_builddir = @abs_top_builddir@
150abs_top_srcdir = @abs_top_srcdir@
151am__leading_dot = @am__leading_dot@
152am__tar = @am__tar@
153am__untar = @am__untar@
154bindir = @bindir@
155build_alias = @build_alias@
156builddir = @builddir@
157datadir = @datadir@
158datarootdir = @datarootdir@
159docdir = @docdir@
160dvidir = @dvidir@
161exec_prefix = @exec_prefix@
162host_alias = @host_alias@
163htmldir = @htmldir@
164includedir = @includedir@
165infodir = @infodir@
166install_sh = @install_sh@
167libdir = @libdir@
168libexecdir = @libexecdir@
169localedir = @localedir@
170localstatedir = @localstatedir@
171mandir = @mandir@
172mkdir_p = @mkdir_p@
173oldincludedir = @oldincludedir@
174pdfdir = @pdfdir@
175prefix = @prefix@
176program_transform_name = @program_transform_name@
177psdir = @psdir@
178sbindir = @sbindir@
179sharedstatedir = @sharedstatedir@
180srcdir = @srcdir@
181sysconfdir = @sysconfdir@
182target_alias = @target_alias@
183top_build_prefix = @top_build_prefix@
184top_builddir = @top_builddir@
185top_srcdir = @top_srcdir@
186SUBDIRS = bin css data doc images
187EXTRA_DIST = vine-manual-base.spec.in
188all: all-recursive
189
190.SUFFIXES:
191am--refresh:
192        @:
193$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
194        @for dep in $?; do \
195          case '$(am__configure_deps)' in \
196            *$$dep*) \
197              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
198              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
199                && exit 0; \
200              exit 1;; \
201          esac; \
202        done; \
203        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
204        $(am__cd) $(top_srcdir) && \
205          $(AUTOMAKE) --gnu Makefile
206.PRECIOUS: Makefile
207Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
208        @case '$?' in \
209          *config.status*) \
210            echo ' $(SHELL) ./config.status'; \
211            $(SHELL) ./config.status;; \
212          *) \
213            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
214            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
215        esac;
216
217$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
218        $(SHELL) ./config.status --recheck
219
220$(top_srcdir)/configure:  $(am__configure_deps)
221        $(am__cd) $(srcdir) && $(AUTOCONF)
222$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
223        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
224$(am__aclocal_m4_deps):
225vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
226        cd $(top_builddir) && $(SHELL) ./config.status $@
227
228# This directory's subdirectories are mostly independent; you can cd
229# into them and run `make' without going through this Makefile.
230# To change the values of `make' variables: instead of editing Makefiles,
231# (1) if the variable is set in `config.status', edit `config.status'
232#     (which will cause the Makefiles to be regenerated when you run `make');
233# (2) otherwise, pass the desired values on the `make' command line.
234$(RECURSIVE_TARGETS):
235        @fail= failcom='exit 1'; \
236        for f in x $$MAKEFLAGS; do \
237          case $$f in \
238            *=* | --[!k]*);; \
239            *k*) failcom='fail=yes';; \
240          esac; \
241        done; \
242        dot_seen=no; \
243        target=`echo $@ | sed s/-recursive//`; \
244        list='$(SUBDIRS)'; for subdir in $$list; do \
245          echo "Making $$target in $$subdir"; \
246          if test "$$subdir" = "."; then \
247            dot_seen=yes; \
248            local_target="$$target-am"; \
249          else \
250            local_target="$$target"; \
251          fi; \
252          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
253          || eval $$failcom; \
254        done; \
255        if test "$$dot_seen" = "no"; then \
256          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
257        fi; test -z "$$fail"
258
259$(RECURSIVE_CLEAN_TARGETS):
260        @fail= failcom='exit 1'; \
261        for f in x $$MAKEFLAGS; do \
262          case $$f in \
263            *=* | --[!k]*);; \
264            *k*) failcom='fail=yes';; \
265          esac; \
266        done; \
267        dot_seen=no; \
268        case "$@" in \
269          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
270          *) list='$(SUBDIRS)' ;; \
271        esac; \
272        rev=''; for subdir in $$list; do \
273          if test "$$subdir" = "."; then :; else \
274            rev="$$subdir $$rev"; \
275          fi; \
276        done; \
277        rev="$$rev ."; \
278        target=`echo $@ | sed s/-recursive//`; \
279        for subdir in $$rev; do \
280          echo "Making $$target in $$subdir"; \
281          if test "$$subdir" = "."; then \
282            local_target="$$target-am"; \
283          else \
284            local_target="$$target"; \
285          fi; \
286          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
287          || eval $$failcom; \
288        done && test -z "$$fail"
289tags-recursive:
290        list='$(SUBDIRS)'; for subdir in $$list; do \
291          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
292        done
293ctags-recursive:
294        list='$(SUBDIRS)'; for subdir in $$list; do \
295          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
296        done
297
298ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
299        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
300        unique=`for i in $$list; do \
301            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
302          done | \
303          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
304              END { if (nonempty) { for (i in files) print i; }; }'`; \
305        mkid -fID $$unique
306tags: TAGS
307
308TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
309                $(TAGS_FILES) $(LISP)
310        set x; \
311        here=`pwd`; \
312        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
313          include_option=--etags-include; \
314          empty_fix=.; \
315        else \
316          include_option=--include; \
317          empty_fix=; \
318        fi; \
319        list='$(SUBDIRS)'; for subdir in $$list; do \
320          if test "$$subdir" = .; then :; else \
321            test ! -f $$subdir/TAGS || \
322              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
323          fi; \
324        done; \
325        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
326        unique=`for i in $$list; do \
327            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
328          done | \
329          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
330              END { if (nonempty) { for (i in files) print i; }; }'`; \
331        shift; \
332        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
333          test -n "$$unique" || unique=$$empty_fix; \
334          if test $$# -gt 0; then \
335            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
336              "$$@" $$unique; \
337          else \
338            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
339              $$unique; \
340          fi; \
341        fi
342ctags: CTAGS
343CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
344                $(TAGS_FILES) $(LISP)
345        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
346        unique=`for i in $$list; do \
347            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348          done | \
349          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
350              END { if (nonempty) { for (i in files) print i; }; }'`; \
351        test -z "$(CTAGS_ARGS)$$unique" \
352          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
353             $$unique
354
355GTAGS:
356        here=`$(am__cd) $(top_builddir) && pwd` \
357          && $(am__cd) $(top_srcdir) \
358          && gtags -i $(GTAGS_ARGS) "$$here"
359
360distclean-tags:
361        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
362
363distdir: $(DISTFILES)
364        $(am__remove_distdir)
365        test -d "$(distdir)" || mkdir "$(distdir)"
366        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
367        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
368        list='$(DISTFILES)'; \
369          dist_files=`for file in $$list; do echo $$file; done | \
370          sed -e "s|^$$srcdirstrip/||;t" \
371              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
372        case $$dist_files in \
373          */*) $(MKDIR_P) `echo "$$dist_files" | \
374                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
375                           sort -u` ;; \
376        esac; \
377        for file in $$dist_files; do \
378          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
379          if test -d $$d/$$file; then \
380            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
381            if test -d "$(distdir)/$$file"; then \
382              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
383            fi; \
384            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
385              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
386              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
387            fi; \
388            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
389          else \
390            test -f "$(distdir)/$$file" \
391            || cp -p $$d/$$file "$(distdir)/$$file" \
392            || exit 1; \
393          fi; \
394        done
395        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
396          if test "$$subdir" = .; then :; else \
397            test -d "$(distdir)/$$subdir" \
398            || $(MKDIR_P) "$(distdir)/$$subdir" \
399            || exit 1; \
400          fi; \
401        done
402        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
403          if test "$$subdir" = .; then :; else \
404            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
405            $(am__relativize); \
406            new_distdir=$$reldir; \
407            dir1=$$subdir; dir2="$(top_distdir)"; \
408            $(am__relativize); \
409            new_top_distdir=$$reldir; \
410            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
411            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
412            ($(am__cd) $$subdir && \
413              $(MAKE) $(AM_MAKEFLAGS) \
414                top_distdir="$$new_top_distdir" \
415                distdir="$$new_distdir" \
416                am__remove_distdir=: \
417                am__skip_length_check=: \
418                am__skip_mode_fix=: \
419                distdir) \
420              || exit 1; \
421          fi; \
422        done
423        -test -n "$(am__skip_mode_fix)" \
424        || find "$(distdir)" -type d ! -perm -755 \
425                -exec chmod u+rwx,go+rx {} \; -o \
426          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
427          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
428          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
429        || chmod -R a+r "$(distdir)"
430dist-gzip: distdir
431        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
432        $(am__remove_distdir)
433dist-bzip2: distdir
434        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
435        $(am__remove_distdir)
436
437dist-lzma: distdir
438        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
439        $(am__remove_distdir)
440
441dist-xz: distdir
442        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
443        $(am__remove_distdir)
444
445dist-tarZ: distdir
446        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
447        $(am__remove_distdir)
448
449dist-shar: distdir
450        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
451        $(am__remove_distdir)
452
453dist-zip: distdir
454        -rm -f $(distdir).zip
455        zip -rq $(distdir).zip $(distdir)
456        $(am__remove_distdir)
457
458dist dist-all: distdir
459        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
460        $(am__remove_distdir)
461
462# This target untars the dist file and tries a VPATH configuration.  Then
463# it guarantees that the distribution is self-contained by making another
464# tarfile.
465distcheck: dist
466        case '$(DIST_ARCHIVES)' in \
467        *.tar.gz*) \
468          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
469        *.tar.bz2*) \
470          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
471        *.tar.lzma*) \
472          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
473        *.tar.xz*) \
474          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
475        *.tar.Z*) \
476          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
477        *.shar.gz*) \
478          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
479        *.zip*) \
480          unzip $(distdir).zip ;;\
481        esac
482        chmod -R a-w $(distdir); chmod a+w $(distdir)
483        mkdir $(distdir)/_build
484        mkdir $(distdir)/_inst
485        chmod a-w $(distdir)
486        test -d $(distdir)/_build || exit 0; \
487        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
488          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
489          && am__cwd=`pwd` \
490          && $(am__cd) $(distdir)/_build \
491          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
492            $(DISTCHECK_CONFIGURE_FLAGS) \
493          && $(MAKE) $(AM_MAKEFLAGS) \
494          && $(MAKE) $(AM_MAKEFLAGS) dvi \
495          && $(MAKE) $(AM_MAKEFLAGS) check \
496          && $(MAKE) $(AM_MAKEFLAGS) install \
497          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
498          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
499          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
500                distuninstallcheck \
501          && chmod -R a-w "$$dc_install_base" \
502          && ({ \
503               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
504               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
505               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
506               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
507                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
508              } || { rm -rf "$$dc_destdir"; exit 1; }) \
509          && rm -rf "$$dc_destdir" \
510          && $(MAKE) $(AM_MAKEFLAGS) dist \
511          && rm -rf $(DIST_ARCHIVES) \
512          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
513          && cd "$$am__cwd" \
514          || exit 1
515        $(am__remove_distdir)
516        @(echo "$(distdir) archives ready for distribution: "; \
517          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
518          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
519distuninstallcheck:
520        @$(am__cd) '$(distuninstallcheck_dir)' \
521        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
522           || { echo "ERROR: files left after uninstall:" ; \
523                if test -n "$(DESTDIR)"; then \
524                  echo "  (check DESTDIR support)"; \
525                fi ; \
526                $(distuninstallcheck_listfiles) ; \
527                exit 1; } >&2
528distcleancheck: distclean
529        @if test '$(srcdir)' = . ; then \
530          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
531          exit 1 ; \
532        fi
533        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
534          || { echo "ERROR: files left in build directory after distclean:" ; \
535               $(distcleancheck_listfiles) ; \
536               exit 1; } >&2
537check-am: all-am
538check: check-recursive
539all-am: Makefile
540installdirs: installdirs-recursive
541installdirs-am:
542install: install-recursive
543install-exec: install-exec-recursive
544install-data: install-data-recursive
545uninstall: uninstall-recursive
546
547install-am: all-am
548        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
549
550installcheck: installcheck-recursive
551install-strip:
552        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
553          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
554          `test -z '$(STRIP)' || \
555            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
556mostlyclean-generic:
557
558clean-generic:
559
560distclean-generic:
561        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
562        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
563
564maintainer-clean-generic:
565        @echo "This command is intended for maintainers to use"
566        @echo "it deletes files that may require special tools to rebuild."
567clean: clean-recursive
568
569clean-am: clean-generic mostlyclean-am
570
571distclean: distclean-recursive
572        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
573        -rm -f Makefile
574distclean-am: clean-am distclean-generic distclean-tags
575
576dvi: dvi-recursive
577
578dvi-am:
579
580html: html-recursive
581
582html-am:
583
584info: info-recursive
585
586info-am:
587
588install-data-am:
589
590install-dvi: install-dvi-recursive
591
592install-dvi-am:
593
594install-exec-am:
595
596install-html: install-html-recursive
597
598install-html-am:
599
600install-info: install-info-recursive
601
602install-info-am:
603
604install-man:
605
606install-pdf: install-pdf-recursive
607
608install-pdf-am:
609
610install-ps: install-ps-recursive
611
612install-ps-am:
613
614installcheck-am:
615
616maintainer-clean: maintainer-clean-recursive
617        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
618        -rm -rf $(top_srcdir)/autom4te.cache
619        -rm -f Makefile
620maintainer-clean-am: distclean-am maintainer-clean-generic
621
622mostlyclean: mostlyclean-recursive
623
624mostlyclean-am: mostlyclean-generic
625
626pdf: pdf-recursive
627
628pdf-am:
629
630ps: ps-recursive
631
632ps-am:
633
634uninstall-am:
635
636.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
637        install-am install-strip tags-recursive
638
639.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
640        all all-am am--refresh check check-am clean clean-generic \
641        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
642        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
643        distclean distclean-generic distclean-tags distcleancheck \
644        distdir distuninstallcheck dvi dvi-am html html-am info \
645        info-am install install-am install-data install-data-am \
646        install-dvi install-dvi-am install-exec install-exec-am \
647        install-html install-html-am install-info install-info-am \
648        install-man install-pdf install-pdf-am install-ps \
649        install-ps-am install-strip installcheck installcheck-am \
650        installdirs installdirs-am maintainer-clean \
651        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
652        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
653
654
655# Tell versions [3.59,3.63) of GNU make to not export all variables.
656# Otherwise a system limit (for SysV at least) may be exceeded.
657.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.